// Darstellung eines "gegltteten" Oktaeders 
// A. Filler, 2004
//-----------------------------------------------------------------
#declare intervall = 1.1;      
#declare winkel =  -60 ;  
#declare hoehe =   4 ;
#include "anageoR.inc"  
background { color rgb <1, 1, 1> } 

ks

// Festlegung der Eckpunkte des Oktaeders
//---------------------------------------
#declare P1=<1,0,0>  ;
#declare P2=<0,1,0>  ;
#declare P3=<-1,0,0> ;
#declare P4=<0,-1,0> ;  
#declare P5=<0,0,-1> ; 
#declare P6=<0,0,1>  ;

// Eingabe der "Durchschnitts-Normaleneinheitsvektoren" fuer die Eckpunkte
//------------------------------------------------------------------------
#declare n1=<1,0,0>  ;
#declare n2=<0,1,0>  ;
#declare n3=<-1,0,0> ;
#declare n4=<0,-1,0> ;  
#declare n5=<0,0,-1> ; 
#declare n6=<0,0,1>  ;
 
// Beschreibung der Seitenflaechen des Oktaders (geglaettete Dreiecke)
//-------------------------------------------------------------------
object{ 
 union{
  smooth_triangle {P1,n1,P5,n5,P2,n2}
  smooth_triangle {P1,n1,P6,n6,P2,n2}   
  smooth_triangle {P3,n3,P5,n5,P2,n2}
  smooth_triangle {P3,n3,P6,n6,P2,n2}    
  smooth_triangle {P1,n1,P5,n5,P4,n4}
  smooth_triangle {P1,n1,P6,n6,P4,n4}   
  smooth_triangle {P3,n3,P5,n5,P4,n4}
  smooth_triangle {P3,n3,P6,n6,P4,n4}
  }     
   texture{ pigment{rgb<0.4,0.4,0.8>} 
    finish{ ambient 0.2  diffuse 0.9  phong 0.3  reflection 0}  } no_shadow  
}
